Page MenuHomePhabricator

Update Wikidata users of serialization/serialization to use version 4.0 of the library
Closed, ResolvedPublic5 Estimated Story Points

Description

As release engineering I want the correct versions of libraries to be running in production as required by deployed extensions in order to ensure the stability of the product.
As a developer I want to be able to use the newer features provided by version 4.0.0 in order to continue cleanup and development.

Details

List of dependants can be found at https://packagist.org/packages/serialization/serialization/dependents
The release notes for 4.0.0 can be found at https://github.com/wmde/Serialization/releases/tag/4.0.0

As of 18/08/2018 the components that need to be updated are as follows:

  • composer library: data-values/serialization (version 1.2.2 can be installed with 4.0)
  • composer library: wikibase/data-model-serialization (version 2.8.0 can be installed with 4.0)
  • composer library: wikibase/internal-serialization (version 2.8.0 can be installed with 4.0)
  • extension: WikibaseLexeme
  • extension: WikibaseMediaInfo
  • extension: WikibaseQuality
  • extension: WikibaseQualityConstraints
  • wmf: mediawiki-vendor

Note: Since april WMF production has actually already been running with version 4.0.0 despite the extensions not specifying that they are compatible with it.. See:

The cleanup of what is currently deployed should probably be merged first...
The extensions should be updated first and all patches merged before the patch for mediawiki-vendor is merged.

Impact & priority

Currently there does not seem to be any development blocked on using the new version so this would be a low priority until such a task that is blocked by this appears.
On the flip side out deployment of this library is currently a bit out of whack and in production we are currently already running with version 4.0.0 despite our extensions not specifying that they allow it, we should clean this up otherwise it might cause us some unexpected surprise.

Task

Convert all listed extensions to be installable using serialization/serialization 4.0.0.

Acceptance criteria

  • All listed components can be installed with serialization/serialization ~4.0|~3.0
  • The wmf mediawiki-vendor directory has been updated to load serialization/serialization 4.0.0
  • All extensions should have their patches merged before updating mediawiki-vendor

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2018, 11:18 AM
WMDE-leszek triaged this task as Low priority.Apr 13 2018, 11:20 AM
Addshore moved this task from Backlog to To Evaluate on the wdwb-tech-focus board.
Addshore renamed this task from Update users of serialization/serialization to use version 4.0 of the library to Update Wikidata users of serialization/serialization to use version 4.0 of the library.Aug 18 2018, 4:38 PM
Addshore updated the task description. (Show Details)
Addshore updated the task description. (Show Details)Aug 18 2018, 4:40 PM
Addshore updated the task description. (Show Details)Aug 18 2018, 4:50 PM
Addshore updated the task description. (Show Details)Aug 18 2018, 4:57 PM
Addshore raised the priority of this task from Low to Medium.Aug 18 2018, 5:00 PM
Addshore added a project: MediaWiki-Vendor.
Addshore updated the task description. (Show Details)
Addshore moved this task from To Evaluate to Ready on the wdwb-tech-focus board.
Addshore moved this task from incoming to ready to go on the Wikidata board.
Addshore added a project: Story.
Addshore updated the task description. (Show Details)Aug 18 2018, 5:32 PM
Jonas set the point value for this task to 5.Sep 4 2018, 1:04 PM
Jonas moved this task from Ready to estimate to In Progress on the Wikidata-Campsite board.
Addshore moved this task from ready to go to in progress on the Wikidata board.Sep 18 2018, 2:24 PM

Change 461165 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Upgrade to serialization/serialization 4.0

https://gerrit.wikimedia.org/r/461165

Change 462674 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Update serialization/serialization to use version 4.0

https://gerrit.wikimedia.org/r/462674

Change 462675 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/extensions/WikibaseMediaInfo@master] Update serialization/serialization to use version 4.0

https://gerrit.wikimedia.org/r/462675

Jonas updated the task description. (Show Details)Sep 25 2018, 11:14 AM

Change 462900 had a related patch set uploaded (by Jonas Kress (WMDE); owner: Jonas Kress (WMDE)):
[mediawiki/vendor@master] Upgrade serialization/serialization to 4.0.0

https://gerrit.wikimedia.org/r/462900

Change 462674 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Update serialization/serialization to use version 4.0

https://gerrit.wikimedia.org/r/462674

Change 461165 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Upgrade to serialization/serialization 4.0

https://gerrit.wikimedia.org/r/461165

Jonas updated the task description. (Show Details)Sep 27 2018, 10:45 AM

I hit +2 on the remaining things just now.
Let's wait for them to merge and then more this to verify :)

Change 462675 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Update serialization/serialization to use version 4.0

https://gerrit.wikimedia.org/r/462675

Addshore updated the task description. (Show Details)Oct 2 2018, 1:59 PM

Change 462900 merged by jenkins-bot:
[mediawiki/vendor@master] Upgrade serialization/serialization to 4.0.0

https://gerrit.wikimedia.org/r/462900

Addshore moved this task from Ready to Libraries on the wdwb-tech-focus board.Oct 8 2018, 12:48 PM
Addshore closed this task as Resolved.Oct 11 2018, 1:15 PM